<template lang="pug">
#navBar
  .head
  nav
    router-link(v-for="(item,index) in list" :to="item.path" :key="index") {{item.name}}
</template>

<script>
import { menuList } from '@js/api'

export default {
  name: 'AppNav',
  data() {
    return {
      list: [],
      current: 0,
    }
  },
  methods: {
    getNavList() {
      menuList().then(resp => {
        this.list = resp.data.result
      }).catch(resp => {
        console.log(`資料擷取錯誤：${resp}`)
      })
    },
  },
  mounted() {
    this.$nextTick(() => {
      this.getNavList()
    })
  },
}
</script>

<style lang="sass">
#navBar
  position: fixed
  width: 220px
  height: 100%
  max-height: 100vh
  background: #fff
  box-shadow: 5px 0 20px rgba(0,0,0,.1)
  .head
    width: 150px
    height: 150px
    background: #8489a0
    margin: 1.5em auto
    border-radius: 100%
  nav
    a
      position: relative
      padding: 1.25em 1em
      display: block
      color: #404352
      border-bottom: 1px solid #ddd
      &::after
        content: ''
        display: block
        position: absolute
        width: 4px
        height: 100%
        right: 0
        top: 0
      &:first-child
        border-top: 1px solid #ddd
      &.active
        color: #54609e
        &::after
          background: #6e7bbf
</style>
